### Method

# GLib Variant is_normal_form

since: 2.24

#### Declaration [src]

    gboolean
    g_variant_is_normal_form (
      GVariant* value
    )

#### Description [src]

Checks if `value` is in normal form.

The main reason to do this is to detect if a given chunk of serialized data is in normal form: load the data into a `GVariant` using `g_variant_new_from_data()` and then use this function to check.

If `value` is found to be in normal form then it will be marked as being trusted. If the value was already marked as being trusted then this function will immediately return `TRUE`.

There may be implementation specific restrictions on deeply nested values. GVariant is guaranteed to handle nesting up to at least 64 levels.

Available since: 2.24

#### Return value

Type: `gboolean`

`TRUE` if `value` is in normal form.